> ## Documentation Index
> Fetch the complete documentation index at: https://arc.sdjz.wiki/llms.txt
> Use this file to discover all available pages before exploring further.

# Get local circuit-breaker snapshot



## OpenAPI

````yaml openapi/arc-gateway-control-plane.openapi.yaml get /v1/cluster/circuit/local
openapi: 3.1.0
info:
  title: Arc Gateway Control Plane API
  version: 1.0.0
  license:
    name: Apache-2.0
    identifier: Apache-2.0
  description: >
    OpenAPI for Arc Gateway control-plane HTTP endpoints implemented in
    `crates/arc-gateway/src/control.rs`.


    Authentication behavior:

    - If `control_plane.auth_token` is set, send `Authorization: Bearer
    <token>`.

    - If `control_plane.auth_token` is not set, only loopback clients are
    accepted.
servers:
  - url: http://127.0.0.1:22100
security:
  - bearerAuth: []
  - {}
tags:
  - name: status
    description: Node status and generation endpoints.
  - name: config
    description: Config fetch, long-poll, validation, and local apply endpoints.
  - name: cluster
    description: Cluster-level config push and circuit snapshot endpoints.
  - name: gossip
    description: Gossip membership, stats, and lifecycle endpoints.
  - name: xdp
    description: XDP status and map management endpoints.
paths:
  /v1/cluster/circuit/local:
    get:
      tags:
        - cluster
      summary: Get local circuit-breaker snapshot
      operationId: getLocalCircuitSnapshot
      responses:
        '200':
          description: Local circuit snapshot
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NodeCircuitSnapshot'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '500':
          $ref: '#/components/responses/InternalError'
components:
  schemas:
    NodeCircuitSnapshot:
      type: object
      required:
        - node_id
        - ts_ms
        - open_until_ms
      properties:
        node_id:
          type: string
        ts_ms:
          type: integer
          format: int64
        open_until_ms:
          type: object
          additionalProperties:
            type: integer
            format: int64
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: string
  responses:
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error: unauthorized
    InternalError:
      description: Internal error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: opaque

````